org.richfaces.renderkit.html.images

## Class ToolBarSeparatorImage.SeparatorData

- java.lang.Object
- - org.richfaces.renderkit.html.images.ToolBarSeparatorImage.SeparatorData

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ToolBarSeparatorImage

      protected static class ToolBarSeparatorImage.SeparatorData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToolBarSeparatorImage.SeparatorData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFontSize()`
    `int` | `getHeaderBackgroundColor()`
    `int` | `getHeaderGradientColor()`
    `int` | `getHeaderTextColor()`
    `int` | `getSeparatorHeight()`
    `void` | `setFontSize(int fontSize)`
    `void` | `setHeaderBackgroundColor(int bgColor)`
    `void` | `setHeaderGradientColor(int headerGradientColor)`
    `void` | `setHeaderTextColor(int textColor)`
    `void` | `setSeparatorHeight(int separatorHeight)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolBarSeparatorImage.SeparatorData

          protected ToolBarSeparatorImage.SeparatorData()

  - ### Method Detail

    - #### getHeaderBackgroundColor

          public int getHeaderBackgroundColor()

    - #### setHeaderBackgroundColor

          public void setHeaderBackgroundColor(int bgColor)

    - #### getHeaderTextColor

          public int getHeaderTextColor()

    - #### setHeaderTextColor

          public void setHeaderTextColor(int textColor)

    - #### getFontSize

          public int getFontSize()

    - #### setFontSize

          public void setFontSize(int fontSize)

    - #### getSeparatorHeight

          public int getSeparatorHeight()

    - #### setSeparatorHeight

          public void setSeparatorHeight(int separatorHeight)

    - #### getHeaderGradientColor

          public int getHeaderGradientColor()

    - #### setHeaderGradientColor

          public void setHeaderGradientColor(int headerGradientColor)

Copyright © 2014. All Rights Reserved.